abdera-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Paul Querna <c...@force-elite.com>
Subject Re: JDK 1.4.2 backport
Date Mon, 19 Jun 2006 20:10:59 GMT
James M Snell wrote:
> Current Abdera depends on a number of Java5 features.  However, I've
> purposefully limited those dependencies to ones that are easy to
> backport to 1.4.2.  There is a definite demand for a 1.4.2
> implementation.  One of the key reasons I would like to keep the parser
> and core branches as stable as possible is so that we can maintain a
> 1.4.2 branch that is periodically sync'd with the trunk.  For each
> milestone, we would make both the Java5 and 1.4.2 versions available.

I personally think a separate branch is a bad idea.  Keeping two
branches that are otherwise identical is generally a pain in the ass.

If there really is a need for 1.4.2 compat, is there any reason to not
do that in trunk, since it would still work with 1.5?

-Paul












Mime
View raw message